# Created by pyp2rpm-3.3.5
%global pypi_name fqdn

Name:           python-%{pypi_name}
Version:        1.5.1
Release:        %mkrel 4
Summary:        Validates fully-qualified domain names against RFC 1123, so that they are acceptable to modern bowsers
Group:          Development/Python
License:        MPL 2.0
URL:            https://github.com/ypcrts/fqdn
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros

%description
This package validates Fully Qualified Domain Names (FQDNs) conforming to the
Internet Engineering Task Force specification. The design intent is to validate
that a string would be traditionally acceptable as a public Internet hostname
to RFC-conforming software, which is a strict subset of the logic in modern web
browsers like Mozilla Firefox and Chromium that determines whether make a DNS
lookup

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package validates Fully Qualified Domain Names (FQDNs) conforming to the
Internet Engineering Task Force specification. The design intent is to validate
that a string would be traditionally acceptable as a public Internet hostname
to RFC-conforming software, which is a strict subset of the logic in modern web
browsers like Mozilla Firefox and Chromium that determines whether make a DNS
lookup

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.5.1-4.mga10
+ Revision: 2238307
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 1.5.1-3.mga10
+ Revision: 2154858
- rebuild for python3.13

* Tue Dec 26 2023 wally <wally> 1.5.1-2.mga10
+ Revision: 2021700
- rebuild for py3.12
- use %%pyproject_buildrequires

* Tue Nov 29 2022 papoteur <papoteur> 1.5.1-1.mga9
+ Revision: 1912563
- imported package python-fqdn

